## netdiag 0.6

=== netwatch/Makefile ===
EXEC= netwatch netresolv
CC=gcc
#  You might need to say where the ncurses include files are.
#CFLAGS=-O2 -I/usr/include/ncurses
# -O2 flag caused some performance problems... unclear right now why..
CFLAGS=-I/usr/include/ncurses
# Comment out the following line if you have a requirement for "ncurses.h"
#OLDLINUX=-DOLDLINUX
OLDLINUX=
# CFLAGS=
DEFS= curs.h netwatch.h
OBJECTS= curs.o dispdata.o services.o netwatch.o processinetrc.o gh.o
LIBS= -lncurses
INSTALLDIR=/usr/local/bin

all:	$(EXEC)

netresolv:	netresolv.o netresolv.h
	$(CC) -o netresolv $(CFLAGS) netresolv.o 

netwatch:	$(OBJECTS) $(DEFS)
	$(CC) -o netwatch $(CFLAGS) $(OBJECTS) $(LIBS)

install:	$(EXEC)
	chown root.root $(EXEC)
	chmod 700 $(EXEC)
	mv netwatch $(INSTALLDIR)/netwatch
	mv netresolv $(INSTALLDIR)/netresolv

tar:
	tar -C .. -czf ../netwatch0.7a.src.tar.gz netwatch

clean:
	rm -f *.o $(EXEC) 

.c.o:
	$(CC) -c $(OLDLINUX) $<

curs.o:		curs.c curs.h
dispdata.o:	dispdata.c curs.h netwatch.h
services.o:	services.c netwatch.h
netwatch.o: 	netwatch.c netwatch.h curs.h
processinetrc.o:	processinetrc.c
gh.o:		gh.c
netresolv.o:	netresolv.c netresolv.h
