=== tcpblast/Makefile ===
CC=gcc
RELEASE=19990504

all:
	@echo choose system:
	@echo generic, linux, solaris, sunos, osf1

solaris: tcpblast.c version.h
	make -C getopt
	$(CC) -Igetopt -o tcpblast tcpblast.c $(GOBJECTS) -lsocket -lnsl -lintl

sunos:	tcpblast.c version.h
	make -C getopt
	$(CC) -Igetopt -D__sunos__ -o tcpblast tcpblast.c $(GOBJECTS) -lnsl

linux:	generic

# not quite sure
osf1:	tcpblast.c version.h
	make -C getopt
	$(CC) -Igetopt -D__osf1__ -o tcpblast tcpblast.c $(GOBJECTS) -lnsl

generic:	tcpblast

tcpblast:	tcpblast.c version.h
	$(CC) -o tcpblast tcpblast.c

install: tcpblast
	-mv /usr/local/bin/tcpblast /usr/local/bin/tcpblast.old
	cp -p tcpblast /usr/local/bin
	strip /usr/local/bin/tcpblast
	cd /usr/local/bin; rm udpblast; ln -s tcpblast udpblast

version.h: tcpblast.c Makefile
	echo \"$(RELEASE)\" > version.h

clean:
	make -C getopt clean
	-rm core

purge:	clean
	-rm tcpblast

tar:	dist

dist: 	purge version.h
	@echo Creating tcpblast-$(RELEASE) in ..
	@tar -cvz -f ../tcpblast-$(RELEASE).tar.gz -C .. tcpblast-$(RELEASE)
