=== tcpblast/getopt/Makefile ===
CC=gcc
INCLUDE=-I.
CCFLAGS=-D_LIBC
GSRC=getopt.c getopt1.c
GOBJECTS=getopt.o getopt1.o

all:	getopt.h $(GSRC)
	$(CC) $(INCLUDE) $(CCFLAGS) -c $(GSRC)

clean:
	-rm *.o
