## netdiag 0.9

=== netload-1.2.1/Makefile ===
CC=		gcc 
CLIBS=		-lncurses
TARGET=		"/usr/local/bin/"	

all :
	$(CC) netload.c -o netload $(CLIBS)

install:
	install -m 755 netload $(TARGET) 
	install -m 755 checkint $(TARGET) 
clean:
	rm -f ./netload
