## netdiag 1.1

=== Makefile ===
#	$Id: Makefile,v 1.3 1995/04/12 00:48:01 jtc Exp $

PROG =	rpc.sprayd
SRCS =	sprayd.c
MAN =	rpc.sprayd.8
MLINKS=	rpc.sprayd.8 sprayd.8

DPADD=	${LIBRPCSVC}
LDADD=	-lrpcsvc -lutil

.include <bsd.prog.mk>
