## netdiag 1.2

=== Makefile ===
# Makefile 2.1 91/08/06

DISTFILES = *.1 Makefile *.c

all: tcpblast tcpping

tcpblast:	tcpblast.c
	cc -O tcpblast.c -o tcpblast

tcpping:	tcpblast	
	ln -s tcpblast tcpping

dist:  $(DISTFILES)
	packmail -odist -s100000 -t"Tcpblast" $(DISTFILES)

clean:
	rm -f tcpblast tcpping *.o tmp a.out dist ,*
