=== netload-1.2.2/Makefile ===
CC=		gcc 
CLIBS=		-lncurses
TARGET=		"/usr/local/bin/"	
MANTARGET=	"/usr/share/man/man1"
all :
	$(CC) netload.c -o netload $(CLIBS)

install:
	install -m 755 netload $(TARGET) 
	install -m 755 checkint $(TARGET) 
	install -m 644 netload.1 $(MANTARGET) 
clean:
	rm -f ./netload
