=== debian/changelog ===
netdiag (1.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * Fix configuration and build using gcc-14
    Closes: #1075311
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Pre-Depends: ${misc:Pre-Depends}

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation
    Closes: #1033083

 -- Andreas Tille <tille@debian.org>  Thu, 01 Jan 2026 18:25:50 +0100

netdiag (1.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1054902)
    + Drop generic quilt description in d/README.source

  [ Zixing Liu ]
  * Add multiple missing headers and function prototypes. (Closes: #1066694)

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 19:19:14 +0000

netdiag (1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use fixed format strings in mvprintw calls. (Closes: #997174)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 16 Oct 2022 15:28:17 +0200

netdiag (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add FTBFS fixes from Logan Rosen:
    - Fix FTBFS with GCC 10.
    - Rename pcap_init() to traf_pcap_init() to avoid conflict with libpcap.
    (Closes: #957596)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 00:40:50 +0200

netdiag (1.2-1) unstable; urgency=medium

  * New upstream version for netwatch. (Closes: #804791)

 -- Michael Meskes <meskes@debian.org>  Fri, 09 Feb 2018 13:35:25 +0100

netdiag (1.1-4) unstable; urgency=medium

  * Patch by Helmut Grohne <helmut@subdivi.de> to fix FTCBFS: (Closes: #888913)
    + Let dh_auto_configure pass --host to trafshow's ./configure.
    + Pass a cross compiler to netwatch's and tcpblast's ./configure.
    + Let dh_auto_build pass cross compilers to make for tcpspray, statnet
      and netload.
  * Enable hardening.
  * Added native service file.

 -- Michael Meskes <meskes@debian.org>  Wed, 31 Jan 2018 09:59:45 +0100

netdiag (1.1-3) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Bumped debhelper compat level to 11.
  * Do not use automake anymore. (Closes: #888039)
  * Changed priority to optional.
  * Patched netwatch to allow device names with more than 10 characters.

 -- Michael Meskes <meskes@debian.org>  Mon, 29 Jan 2018 11:09:03 +0100

netdiag (1.1-2) unstable; urgency=low

  * Moved diagperm to examples, it is outdated and wasn't used much anyway.
  * Fix FTBFS with clang due to "wrong main declaration" error in
    tcpspray.
    Patch by Arthur Marble <arthur@info9.net> (Closes: #722016, #748632)
  * Fixed forward declaration in netwatch. (Closes: #751495)
  * Use autotools-dev to update config.{sub,guess} for new architectures.
    Patch by Logan Rosen <logan@ubuntu.com> (Closes: #734538)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Use build flags as provided by buildtools.

 -- Michael Meskes <meskes@debian.org>  Wed, 05 Nov 2014 09:18:00 +0100

netdiag (1.1-1) unstable; urgency=high

  * Removed strobe because its license is not DFSG-free. (Closes: #686580)

 -- Michael Meskes <meskes@debian.org>  Fri, 19 Oct 2012 11:08:54 +0200

netdiag (1.0-20) unstable; urgency=low

  * Added Brazilian Portuguese debconf translation. (Closes: # 668102)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Added required force-reload option to init script.

 -- Michael Meskes <meskes@debian.org>  Mon, 23 Apr 2012 13:26:20 +0200

netdiag (1.0-19) unstable; urgency=low

  * Fixed incorrect naming in init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 12:47:22 +0100

netdiag (1.0-18) unstable; urgency=low

  * Remove auto-generated files from netwatch directory instead of patching
    them.
  * Added recommended targets to rules file.
  * Re-create config.sub and config.guess when building tcpblast.
  * Do not define HOME in tcpblast Makefile because it breaks ccache.
    (Closes: #653134)
  * Implement status option for init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 12 Jan 2012 10:45:31 +0100

netdiag (1.0-17) unstable; urgency=low

  * Added Danish debconf translations. (Closes: #628213)
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 09 Jun 2011 15:30:38 +0200

netdiag (1.0-16) unstable; urgency=low

  * Set compiler flag to activate IPv6 for tcpspray.

 -- Michael Meskes <meskes@debian.org>  Thu, 24 Feb 2011 10:03:00 +0100

netdiag (1.0-15) unstable; urgency=low

  * Added patch to fix handling of descriptor sets. (Closes: #613557) - thanks
    to Mats Erik Andersson <mats.andersson@gisladisker.se>
  * Added patch to implement IPv6 for strobe. (Closes: #610452)  - thanks
    to Mats Erik Andersson <mats.andersson@gisladisker.se>

 -- Michael Meskes <meskes@debian.org>  Tue, 22 Feb 2011 15:51:34 +0100

netdiag (1.0-14) unstable; urgency=low

  * Re-packaged using separated patches.
  * Bumped Standards-Version to 3.9.1, no changes needed.
  * Added patch to make netload work on GNU/kFreeBSD and fix some bugs along
    the way. (Closes: #608300) - thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se>
  * Added patch to add IPv6 support to tcpspray. (Closes: #613057) - thanks to
    Mats Erik Andersson <mats.andersson@gisladisker.se>

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Feb 2011 13:06:54 +0100

netdiag (1.0-13) unstable; urgency=low

  * Applied patch by James Westby <james.westby@canonical.com> to make open(2)
    usage standard conform, closes: #507213
  * Updated Japanese debconf translation, closes: #510898
  * Made init script not call itself.

 -- Michael Meskes <meskes@debian.org>  Tue, 13 Jan 2009 15:57:48 +0100

netdiag (1.0-12) unstable; urgency=low


