=== debian/control ===
Source: netdiag
Section: net
Maintainer: Michael Meskes <meskes@debian.org>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/meskes/netdiag.git
Vcs-Browser: https://salsa.debian.org/meskes/netdiag
Build-Depends: libncurses-dev, debhelper-compat (= 13), m4, libpcap0.8-dev, po-debconf (>= 0.5.0)

Package: netdiag
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Description: Net-Diagnostics (trafshow,netwatch,statnet,tcpspray,tcpblast)
 Netdiag contains a collection of small tools to analyze network traffic and
 configuration of remote hosts. It is of invaluable help if your
 system is showing strange network behaviour and you want to find out what
 your network is doing. The included tools are tcpblast, netload, trafshow,
 netwatch, statnet, and tcpspray.
